package keenGame;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.util.LinkedList;
import java.util.List;

import keenGame.sprite.keenActor.KeenActor;

/**
 * LevelLoader defines a object capible of loading up
 * a level from disk
 */
public abstract class LevelLoader
{
	protected int width, height;
	protected String [] layers;
	protected List spriteList = new LinkedList();
	protected KeenActor keen;
	
	public int getWidth()
	{
		return width;
	}
	
	public int getHeight()
	{
		return height;
	}
	
	public String [] getLayers()
	{
		return layers;
	}
	
	public List getSprites()
	{
		return spriteList;
	}
	
	/**
	 * Returns the keen.
	 * @return KeenActor
	 */
	public KeenActor getKeen()
	{
		return keen;
	}
}
