package keenGame;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class MainMenuScreen extends Screen implements ActionListener
{
	public static final int RUN_GAME = 1;
	public static final int EXIT = 2;
	public static final int CONFIG = 3;
	
    private JButton start, exit, options;
    
	MainMenuScreen(Keen app)
	{
		super(app);
		setLayout(new BorderLayout());

		//Set up title  
		JPanel TopPane = new JPanel(new FlowLayout());
	 
		JLabel keenTitle = new JLabel("Cranium Engine");
		keenTitle.setFont(new Font(null,Font.PLAIN,40));
		TopPane.add(keenTitle);
	  
		JLabel keenName = new JLabel("Version  1.4b");
		keenName.setFont(new Font("Dialog",Font.ITALIC,25));
		TopPane.add(keenName);
		add(TopPane,"Center");
	  
		//Set up Buttons	  
		JPanel ButtonPane = new JPanel(new FlowLayout());
                  
		start = new JButton("Start");
		start.addActionListener(this);
		start.setMnemonic(KeyEvent.VK_S);
		ButtonPane.add(start);

		options = new JButton("Options");
		options.setMnemonic(KeyEvent.VK_O);
		options.addActionListener(this);
		ButtonPane.add(options);
      
		exit = new JButton("Exit");
		exit.setMnemonic(KeyEvent.VK_X);
		exit.addActionListener(this);
		ButtonPane.add(exit);
		add(ButtonPane,"South");
	}
	
	
	/**
     * Handles action events, most notably the start button being clicked
     * This will instantiate a new level, passing it a Actor, which will
     * listen to keyboard events from keenGame.  It will then hide keenGame and
     * begin running the level
     */
    public void actionPerformed(ActionEvent e)
    {
        if(e.getSource() == start)
        {
        	//start.setFocusable(false);
        	//start.setFocusable(false);
        	
            done(MainMenuScreen.RUN_GAME);
        }
        else if(e.getSource() == options)
        {
            done(MainMenuScreen.CONFIG);
        }
        else if(e.getSource() == exit)
        {
            done(MainMenuScreen.EXIT);
        }
    }
}
