package keenGame;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.Iterator;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import keenGame.sprite.Sprite;
import keenGame.sprite.keenActor.KeenActor;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class XMLLevelSaver extends LevelSaver
{
	public static void saveLevel(OutputStream saveFile, ArrayMap saveLevel, KeenActor keen)
	{
		Document xmlDoc = null;
		try
		{
			xmlDoc = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
		}
		catch(ParserConfigurationException e)
		{
			System.err.println("WFT");
			System.exit(0);
		}
		
		PrintWriter file = new PrintWriter(saveFile);
		
		file.println("<?xml version=\"1.0\"?>");
		file.println("<!DOCTYPE keenLevel>");
		file.println();
		file.println("<level width=\"" + saveLevel.getWidth() + "\" height=\"" 
					+ saveLevel.getHeight() + "\">");
					
		file.println("\t<layers>");
		//loop around, addin in layers
		String [] layers = saveLevel.getLayers();
		for (int i = 0; i < layers.length; i++)
		{
			Element layerElement = xmlDoc.createElement("layer");
			layerElement.appendChild(xmlDoc.createTextNode(layers[i]));
			
			file.println("\t\t" + layerElement.toString());
		}
		file.println("\t</layers>");
		
		file.println("\t<player>");
		file.println("\t\t" + keen.toXml(xmlDoc));
		file.println("\t</player>");
		
		file.println("\t<sprites>");
		
		Iterator it = saveLevel.iterator();
		while(it.hasNext())
		{
			Sprite saveSprite = (Sprite)it.next();
			if(saveSprite != keen) //We dont want to save keen twice
			{
				file.println("\t\t"+saveSprite.toXml(xmlDoc));
			}
		}
		
		file.println("\t</sprites>");
		file.println("</level>");
		
		file.close();
	}
}
