package keenGame;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
import java.awt.Color;
import java.awt.Graphics;

public class debugOverlay extends Overlay
{
	private static final int WIDTH = 150;
	private static final int HEIGHT = 50;
	private static final int DISTANCE_FROM_BOTTOM = 15;
	private static final int DISTANCE_FROM_LEFT = 15;
	
	private long nextFpsTime = 0;
	private int frameCount = 0;
	private int numObjects = 0;
	private long sleepTime = 0;
	private String fps = "FPS:";
	private String objects = "Objects:";
	private String sleep = "Sleep:";
	private String iteraions = "Iterations:";
	
	public void render(Graphics g, int width, int height)
	{
		int upperY = height - HEIGHT - DISTANCE_FROM_BOTTOM;
		int upperX = DISTANCE_FROM_LEFT;
		
		if(System.currentTimeMillis() > nextFpsTime)
		{
			fps = "FPS: " + frameCount;
			objects = "Objects: " + numObjects;
			sleep = "Sleep: " + sleepTime + " ms";
			iteraions = "Iterations: " + ArrayMapLayer.getNumIterations();
			frameCount = 1;
			nextFpsTime = System.currentTimeMillis() + 1000;
		}
		else
		{
			frameCount++;
		}
		
		g.setClip(upperX,upperY, WIDTH, HEIGHT);
		g.setColor(Color.BLACK);
		g.fillRect(upperX , upperY , WIDTH , HEIGHT );

		g.setColor(Color.WHITE);
		g.drawString(fps, upperX + 5, upperY + 15);
		//g.drawString(objects, upperX + 5, upperY + 30);
		g.drawString(sleep, upperX + 5, upperY + 45);
		g.drawString(iteraions, upperX + 5, upperY + 30);


	}
	
	public int getX(int width)
	{
		return DISTANCE_FROM_LEFT;
	}
	
	public int getY(int height)
	{
		return height - HEIGHT - DISTANCE_FROM_BOTTOM;
	}
	
	public int getWidth(int width)
	{
		return WIDTH;
	}
	
	public int getHeight(int height)
	{
		return HEIGHT;
	}
	
	public void setObjects(int newObjects)
	{
		numObjects = newObjects;
	}
	
	public void setSleepTime(long sleepTime)
	{
		this.sleepTime = sleepTime;
	}

}
