package keenGame.editor;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.Vector;

import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.OverlayLayout;
import keenGame.editor.tools.*;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ToolPanel extends JPanel implements ActionListener, LayerChangeListener
{
	private LevelPanel levelWrapper;
	
	private JPanel buttonPanel;
	private JPanel controlPanel;
	
	private Tool activeTool;
	
	private Vector tools = new Vector();
	
	public ToolPanel(LevelPanel levelWrapper)
	{
		super();
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		
		this.levelWrapper = levelWrapper;
		
		 //Buttons for tools
 		buttonPanel = new JPanel();
 		buttonPanel.setLayout(new BoxLayout(buttonPanel, BoxLayout.X_AXIS));
 		add(buttonPanel);
 		
 		//Controls for buttons
 		controlPanel = new JPanel();
 		controlPanel.setLayout(new OverlayLayout(controlPanel));
 		add(controlPanel);
 		
 		Tool insertTool = new InsertTool(levelWrapper);
 		addTool(insertTool);
 		insertTool.setActive(true);
 		activeTool = insertTool;


 		addTool(new SelectTool(levelWrapper));
 	}
	
	private void addTool(Tool newTool)
	{
		newTool.addActionListener(this);
		buttonPanel.add(newTool);
		controlPanel.add(newTool.getControl());
		newTool.getControl().setVisible(false);
		tools.add(newTool);
	}
	
	public void layerChanged(String [] newLayers, boolean autoLayers)
	{
		Iterator it = tools.iterator();
		while(it.hasNext())
		{
			((LayerChangeListener)(it.next())).layerChanged(newLayers, autoLayers);
		}
	}
	
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource() instanceof Tool)
		{
			activeTool.setActive(false);
			activeTool = (Tool)(e.getSource());
			activeTool.setActive(true);
		}
	}
}
