package keenGame.editor.tools;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import javax.swing.JButton;
import javax.swing.JComponent;
import keenGame.editor.LayerChangeListener;
import keenGame.editor.LevelPanel;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public abstract class Tool extends JButton implements MouseListener, MouseMotionListener, LayerChangeListener
{
	protected JComponent control;
	protected boolean active = false;
	protected LevelPanel levelWrapper;

	/**
	 * Constructor Tool.
	 * @param string
	 */
	public Tool(String string, LevelPanel level)
	{
		super(string);
		this.levelWrapper = level;
		
		level.addMouse(this);
	}
	
	public void setActive(boolean active)
	{
		control.setVisible(active);
		this.active = active;
		levelWrapper.setSpriteBoxVisible(false);
		levelWrapper.setSelectedSpriteVisible(false);
		levelWrapper.repaint();
	}
	
	public JComponent getControl()
	{
		return control;
	}
	
	public abstract void layerChanged(String [] newLevel, boolean autoLayers);
	
	/**
	 * @see java.awt.event.MouseListener#mouseClicked(MouseEvent)
	 */
	public void mouseClicked(MouseEvent e)
	{
		//System.err.println(e);
	}	
	/**
	 * @see java.awt.event.MouseListener#mousePressed(MouseEvent)
	 */
	public void mousePressed(MouseEvent e)
	{
		//System.err.println(e);
	}
	/**
	 * @see java.awt.event.MouseListener#mouseReleased(MouseEvent)
	 */
	public void mouseReleased(MouseEvent e)
	{
		//System.err.println(e);
	}	
	/**
	 * @see java.awt.event.MouseMotionListener#mouseMoved(MouseEvent)
	 */
	public void mouseMoved(MouseEvent e)
	{
		//System.err.println(e);
	}

	/**
	 * @see java.awt.event.MouseListener#mouseEntered(MouseEvent)
	 */
	public void mouseEntered(MouseEvent e)
	{
		//System.err.println(e);
	}
	/**
	 * @see java.awt.event.MouseListener#mouseExited(MouseEvent)
	 */
	public void mouseExited(MouseEvent e)
	{
		//System.err.println(e);
	}
	/**
	 * @see java.awt.event.MouseMotionListener#mouseDragged(MouseEvent)
	 */
	public void mouseDragged(MouseEvent e)
	{
		//System.err.println(e);
	}
}
