package keenGame.editor.tools.spriteCreators;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import keenGame.sprite.Sprite;
import keenGame.sprite.tile.Exit;

/**
 * @author paradox
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ExitCreator extends AutoRectangleCreator
{

	/**
	 * Constructor for ExitCreator.
	 * @param layers
	 * @param graphic
	 * @param defaultLayer
	 */
	public ExitCreator(String[] layers, String defaultLayer)
	{
		super(layers, "graphics/tiles/exit.png", defaultLayer, true);
	}
	
	/**
	 * @see keenGame.editor.SpriteCreator#getSpriteAt(int, int, Level)
	 */
	public Sprite getSpriteAt(int x, int y)
	{
		String layer;
		if(insertLayer.isEnabled())
		{
			layer = insertLayer.getSelectedItem().toString();
		}
		else
		{
			layer = defaultLayer;
		}
		
		return new Exit(layer , x ,y);
	}
}
