package keenGame.editor.tools.spriteCreators;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.Image;

import keenGame.Cache;
import keenGame.sprite.Sprite;
import keenGame.sprite.hint.LeftHint;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class LeftHintCreator extends SpriteCreator
{
	public LeftHintCreator(String [] layers,  String defaultLayer)
	{
		super(layers, defaultLayer);
		this.defaultLayer = defaultLayer;

		graphic = "graphics/hint/westHint.png";
			
		Image myImage = Cache.getImage(graphic);
		width = myImage.getWidth(null);
		height = myImage.getHeight(null);
	}
	
	/**
	 * @see keenGame.editor.SpriteCreator#getSpriteAt(int, int, Level)
	 */
	public Sprite getSpriteAt(int x, int y)
	{
		String layer;
		if(insertLayer.isEnabled())
		{
			layer = insertLayer.getSelectedItem().toString();
		}
		else
		{
			layer = defaultLayer;
		}
		
		return new LeftHint(layer , x ,y);
	}
}
