package keenGame.editor.tools.spriteCreators;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
import javax.swing.border.TitledBorder;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public abstract class MovingActorCreator extends SpriteCreator
{
	protected LayerSelector hitLayers;
	
	public MovingActorCreator(String [] layers, String [] defaultHit, String defaultLayer)
	{
		super(layers,defaultLayer);
		
		hitLayers = new LayerSelector(layers, defaultHit);
		hitLayers.setBorder(new TitledBorder("Can hit sprites in:"));
		controlPanel.add(hitLayers);
	}

	public void layerChanged(String [] layers, boolean autoLayers)
	{
		super.layerChanged(layers, autoLayers);
		hitLayers.layerChanged(layers, autoLayers);
	}
}
