package keenGame.editor.tools.spriteCreators;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.border.TitledBorder;

import keenGame.editor.LayerChangeListener;
import keenGame.sprite.Sprite;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public abstract class SpriteCreator implements LayerChangeListener
{
	protected JComponent controlPanel;
	protected String [] layers;
	
	protected JComboBox insertLayer;
	
	protected boolean autoLayers;
	
	protected String graphic;
	protected String defaultLayer;
	protected int width, height;
	
	public SpriteCreator(String [] layers, String defaultLayer)
	{
		this.layers = layers;
		this.defaultLayer = defaultLayer;

		
		controlPanel = new Box(BoxLayout.Y_AXIS);
		
		insertLayer = new JComboBox(layers);
		insertLayer.setEditable(false);
		insertLayer.setEnabled(false);
		insertLayer.setSelectedItem(defaultLayer);
		insertLayer.setBorder(new TitledBorder("Insert into layer:"));
		controlPanel.add(insertLayer);
	}
	
	public void layerChanged(String [] layers, boolean autoLayers)
	{
		String selectedLayer = (String)insertLayer.getSelectedItem();
		
		insertLayer.removeAllItems();
		
		for(int i = 0; i < layers.length; i++)
		{
			insertLayer.addItem(layers[i]);
		}
		
		//Try and get back to that layer
		insertLayer.setSelectedItem(selectedLayer);
		
		insertLayer.setEnabled(!autoLayers);
	}

	public JComponent getControlPanel()
	{
		return controlPanel;
	}
	
	public abstract Sprite getSpriteAt(int x, int y);
	
	public String getGraphic()
	{
		return graphic;
	}
	
	public int getWidth()
	{
		return width;
	}
	
	public int getHeight()
	{
		return height;
	}
}
