package keenGame.sprite.candy;

import keenGame.Level;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * SecretPointsCandy are essentially the same as
 * normal PointsCandy with the exception that they are not visible
 * TODO: Get rid of this class by using layers better
 */
public class SecretPointsCandy extends PointsCandy
{
	
	/**
     * Constructs an SecretPointsCandy.
     * 
     * @param imageLocation - The location of an image (normally .png format) that
     * 		is used for this PointsCandy
     * @param layer - The layer that this sprite should exist in
	 * @param myWorld - the Level in which the PointsCandy exists
     * @param xValue - The x location of the PointsCandy
     * @param yValue - The y location of the PointsCandy
     * @param points - The number of points Keen will collect from the PointsCandy
     * 
     * @see keenGame.sprite.Actor#Actor(String, String, int, int)
     */
	public SecretPointsCandy(String endImage,
				String layer, Level myWorld,
				 int xValue, int yValue, int points)    
    {
        super("graphics/candy/secret.png","graphics/candy/secret.png"
        		,endImage, layer,  myWorld, xValue,yValue, points);
    }
}
