package keenGame.sprite.keenActor;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Encapsulates the data keenActor uses for movement.  Adjusting these will
 * cange how commander keen feels to control.
 */
public class KeenActorMovement
{
	/**
	 * The speed at which keen moves sideways, both when walking and jumping.
	 * Default = 4
	 */
	public int WALK_SPEED = 4;
	
	/**
	 * Doesnt apper to be used
	 * Default = 1.4
	 */
	//public double SCROLL_ACCELERATON = 1.4;

	/**
	 * Due to bugs has no effect
	 * Default = 5
	 */
	public int SCROLL_SPEED = 5;
	
	/**
	 * The speed at which keen begins his jumps.  Setting a higher value will
	 * make keen jump higher, because he will have more speed at the beginning
	 * of his jump
	 * Default = 9
	 */
	public double JUMP_SPEED = 9;
	
	/**
	 * The speed at which gravity pulls keen down while he is airborne.  Setting
	 * a higher value will cause keens jumps to be smaller, as gravity will pull
	 * him downwards quicker.
	 * Default = 1.1
	 */
	public double JUMP_DECCELERATION = 1.1;
	
	/**
	 * The speed at which gravity pulls keen down while he is airborne and the
	 * jump key is held down.  This allows keen to jump higher if you keep the jump
	 * key pressed while you are ariborne.  Setting a higher value will cause keens 
	 * jumps to be smaller, as gravity will pull him downwards quicker.
	 * Default = 0.6
	 */
	public double JUMP_BOOST_DECCELERATION = 0.6;
	
	/**
	 * The speed at which keen can accelerate sideways while falling.  Setting a higher
	 * value will allow keen to move sideways with greater speed
	 * Default = 1.5
	 */
	public double SIDE_ACCELERATION = 1.5;
	
	/**
	 * The speed at which keen accelerates upwards when his pogo hits the ground
	 * and the jump key is not pressed.  A higher value will make keen bounce higher
	 * when he is pogoing.
	 * Default = 8
	 */
	public double POGO_SPEED = 8;
	
	/**
	 * The speed at which keen accelerates upwards when his pogo hits the ground
	 * and the jump key is pressed.  A higher value will make keen bounce higher
	 * when he is pogoing and you are pressing the jump key.
	 * Default = 11
	 */
	public double POGO_BOOST_SPEED = 11;
	
	/**
	 * The speed at which gravity pulls keen downwards when he is pogoing.  A lower
	 * value will make keen bounce higher because gravity will not pull him down as
	 * fast
	 * Default = 1.1
	 */
	public double POGO_DECCELERATION = 1.1;
	
	/**
	 * The speed at which gravity pulls keen downwards when he is pogoing and the jump
	 * key is pressed.  A lower value will make keen bounce higher when the jump key
	 * is pressed because gravity will not pull him down as fast
	 * Default = 0.5
	 */
	public double POGO_BOOST_DECCELERATION = 0.5;
	
	/**
	 * The speed at which keen acclerates left or right when he is pogoing.  Movement
	 * is not instantanious when keen is on his pogo, instead he has momentum.  A
	 * higher value will make give keen less momentum when he is on his pogo, and the
	 * controls to move left or right will respond much more quickly.
	 * Default = 1.5
	 */
	public double POGO_SIDE_ACCELERATION = 1.5;
	
	/**
	 * The maximum speed at which keen can move left or right when he is pogoing
	 * A higher value means that keen will be able to move more quickly when on pogo
	 * Default = 3
	 */
	public double POGO_MAX_SIDE_SPEED = 3;
	
	/**
	 * The speed at which keen moves upward when he is on a pole and you press jump
	 * A higher value will me keen move upward quicker, and hence jumps higher, when
	 * you are griping a pole, and press the jump key
	 * Default = 7
	 */
	public double POLE_JUMP_SPEED = 7;
	
	/**
	 * The speed at which keen climbs up poles
	 * Default = 1
	 */
	public double POLE_UP_SPEED = 1;
	
	/**
	 * The speed at which keen climbs down poles
	 * Default = 3
	 */
	public double POLE_DOWN_SPEED = 3;

	/**
	 * The ammount of time keen pauses when he grips a ledge.  When you grip onto
	 * a ledge you cannot jump streight up.  If this time is set to zero keen will 
	 * always pull himself up streight away, because you wont have time to stop
	 * pressing the left or right key.  A higher number means that keen will
	 * hang onto a ledge for a longer number of milliseconds before he can pull
	 * himself up
	 * Default = 200
	 */
   	public int GRIP_PAUSE_TIME = 200;
}
