package keenGame.sprite.monster;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

import java.awt.Image;
import java.awt.Rectangle;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import keenGame.Cache;
import keenGame.sprite.Actor;

/**
 * @author Luke Sleeman
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class SpinningStars extends Actor
{
	private static final String STARS_LAYER = "foreground";
	
	protected Image frame0;
	protected Image frame1;
	protected Image frame2;
	
	private static final int UPDATE_PERIOD = 250;
	
	public SpinningStars(int x, int y)
    {
        super(STARS_LAYER, x, y);
        
        frame0 = Cache.getImage("graphics/stars0.png");
        frame1 = Cache.getImage("graphics/stars1.png");
        frame2 = Cache.getImage("graphics/stars2.png");
        
        image = frame0;
        
        width = frame0.getWidth(null);
	    height = frame0.getHeight(null);
    }
    
    public Element toXml(Document xmlDoc)
	{
		throw new UnsupportedOperationException("SpinningStars cannot be saved");
	}
    
	/**
	 * @see keenGame.sprite.Actor#update()
	 */	 
	public void update()
	{
	    //update the timers
	    nextUpdateTime = System.currentTimeMillis() + UPDATE_PERIOD;
	}

	/**
	 * @see keenGame.sprite.Actor#setFrame()
	 */	 
	public void setFrame()
	{
		//Set to the correct animation sequence
		if(image == frame0)
		{
			image = frame1;
		}
		else if(image == frame1)
		{
			image = frame2;
		}
		else if(image == frame2)
		{
			image = frame0;
		}
	}
	
	//Returns true if there is a collision with the provided shape
    public boolean isCollision(Rectangle movingSprite)
    {
	     return false;
    }
}
