package keenGame.sprite.tile;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import keenGame.XmlElement;

/**
 * An exit is a special superclass of AutoRectangleTile, which
 * causes the level to exit when keen hits it.  It is in all other
 * respects exactly the same as an AutoRectangletile
 */
public class Exit extends AutoRectangleTile
{

	public Exit(String layer, int xValue,int yValue) 
	{
		super("graphics/tiles/exit.png", layer, xValue, yValue, true);
	}
	
	public Element toXml(Document xmlDoc)
	{
		return addToElement(xmlDoc, xmlDoc.createElement("Exit"));
	}

	/**
	 * Constructor for Exit.
	 * @param spriteElement
	 */
	public Exit(XmlElement spriteElement) 
	{
		super(spriteElement);
	}
}
