package keenGame.sprite.tile;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.Rectangle;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import keenGame.Cache;
import keenGame.XmlElement;
import keenGame.sprite.Sprite;

/**
 * TODO: Refactor so we dont need this class
 */
public class PoleTop extends Sprite
{
	private String graphic;
	
    public PoleTop(String imageLocation, String layer, int xValue, int yValue)
    {
    	super(layer, xValue,yValue);
    	init(imageLocation);
    }
    
    public PoleTop(XmlElement spriteElement)
    {
    	super(spriteElement);
    	
    	String newGraphic = spriteElement.getChild("graphic").getText();
    	init(newGraphic);
    }
    
    private void init(String imageLocation)
    {
    	image = Cache.getImage(imageLocation);
    	width = image.getWidth(null);
    	height = image.getHeight(null);
    	graphic = imageLocation;
    	hitArea = new Rectangle(x, y, width, height);
    }
    
    public Element toXml(Document xmlDoc)
	{
		return addToElement(xmlDoc, xmlDoc.createElement("PoleTop"));
	}
    
    protected Element addToElement(Document xmlDoc, Element element)
    {
    	super.addToElement(xmlDoc, element);
    	
    	//graphic
    	Element graphicElement = xmlDoc.createElement("graphic");
		graphicElement.appendChild(xmlDoc.createTextNode(graphic));
		element.appendChild(graphicElement);
		
    	return element;
    }
}
