package keenGame.sprite.tile;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.Rectangle;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import keenGame.XmlElement;

/**
 * A ThinFloor extends RectangleTile, with the ability for Keen to jump
 * upwards through it. Keen can also fall through it, by looking down
 * and pressing the jump button.  ThinFloors are can be used where a pole
 * goes through a floor
 */
public class ThinFloor extends RectangleTile
{
    /**
     * Constructs a RectangleTile.  
     * 
     * @param imageLocation - This should be the location of a RectangleTile file
     * which defines the shape of thre rectangle, as well as the imaged used.
     * @param layer - The layer that this RectangleTile should exist in
     * @param xValue - The x location of the RectangleTile
     * @param yValue - The y location of the RectangleTile
     */
    public ThinFloor(String imageLocation, String layer, int xValue, int yValue)
	{
    	super(imageLocation, layer, xValue,yValue);
    }
    
    public ThinFloor(XmlElement spriteElement)
    {
    	super(spriteElement);
    }
    
    public Element toXml(Document xmlDoc)
	{
		return addToElement(xmlDoc, xmlDoc.createElement("ThinFloor"));
	}
    
    public int getFloorY()
    {
    	return ((Rectangle)hitArea).y;
    }
}
