package keenGame.test;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.Graphics;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import keenGame.sprite.MovingActor;

/**
 * Dummy sprite used to testing.  This sprite doesnt make use of any
 * graphics, so it can be instinated in text mode
 */
public class TestSprite extends MovingActor
{

	public TestSprite(int xValue, int yValue, int width, int height)
	{
		this(xValue, yValue, width, height, null);
	}
	/**
	 * Constructor for TestSprite.
	 * @param name
	 * @param xValue
	 * @param yValue
	 */
	public TestSprite(int xValue, int yValue, int width, int height, String layer)
	{
		super(null,null,null, xValue, yValue);
		//super(null, xValue, yValue);
		this.width = width;
		this.height = height;
		this.layer = layer;
	}
	
	public Element toXml(Document xmlDoc)
	{
		throw new UnsupportedOperationException("TestSprites cannot be saved");
	}

    //Draw ourselves on the graphics
    public void draw(int xOffset, int yOffset, Graphics drawTo)
    {
    	//Lets not do anything ...
    }
    
    public void right()
    {
    	x++;
    }
    
    public void down()
    {
    	y++;
    }
    
    public void left()
    {
    	x--;
    }
    
    public void up()
    {
    	y--;
    }

	public void setX(int x)
	{
		this.x = x;
	}
	
	public void setY(int y)
	{
		this.y = y;
	}
	
    
    public void update()
    {
    }
    
    public void setFrame()
    {
    }

}
